import * as IORedis from 'ioredis';
import { ICacheLayer } from './index';
export interface IRedisLayerOptions<K, V> {
    uri: string;
    keyPrefix?: string;
    ttl?: number;
    keyFn?(key: K): string;
    serializer?(value: V): string;
    deserializer?(data: string): V | Error;
}
export default class RedisLayer<K, V> implements ICacheLayer<K, V> {
    redis: IORedis.Redis;
    private _options;
    constructor(options: IRedisLayerOptions<K, V>);
    batchGet(keys: readonly K[]): Promise<Array<V | Error>>;
    batchSet(map: Map<K, V>): void;
    private _parseKey;
}
