import { BatchLoadFn } from 'dataloader';
export interface ICacheLayer<K, V> {
    batchGet(keys: readonly K[]): Promise<Array<V | Error>>;
    batchSet(map: Map<K, V>): void;
}
export default class LayeredCacheLoader<K, V> {
    private get _loader();
    private _loaderChain;
    private _finalLoader;
    constructor();
    use(layer: ICacheLayer<K, V>): this;
    final(batchLoadFn: BatchLoadFn<K, V>): this;
    load(key: K): Promise<V>;
    loadMany(keys: K[]): Promise<(Error | V)[]>;
}
